<!--
 - Created by MarosGrajcar on 2/14/2020.
 -->

<!-- Eqt Comments Section -->
<template>
    <!-- COMMENTS -->
    <div class="slds-text-title_caps slds-section slds-p-around--small"
         style="background-color:#f5f5f5"><b>Comments</b>
    </div>

    <template if:true={isNewForm}>

        <!--MEDIUM AND LARGE DEVICES-->
        <div class="slds-wrap slds-grid slds-p-around--small slds-show_medium">
            <div class="slds-size--6-of-12 slds-p-horizontal--small">
                <lightning-textarea label="Comment" value={commentsObject.Comments__c} onchange={handleComment}></lightning-textarea>
            </div>
        </div>

        <!--SMALL DEVICES-->
        <lightning-textarea class="slds-hide_medium" label="Comment" value={commentsObject.Comments__c}
                            onchange={handleComment}></lightning-textarea>

    </template>

    <template if:false={isNewForm}>

        <template if:true={isView}>

            <!--MEDIUM AND LARGE DEVICES-->
            <div class="slds-wrap slds-grid slds-p-around--small slds-hyphenate slds-show_medium">
                <div class="slds-size--6-of-12 slds-p-horizontal--small slds-hyphenate">
                    <b>Comments</b>
                    <p class="slds-p-top--xx-small">{form.Comments__c}</p>
                </div>
                <div if:true={form.Reason__c}
                     class="slds-size--6-of-12 slds-p-horizontal--small slds-hyphenate">
                    <b>Reason</b>
                    <p class="slds-p-top--xx-small">{form.Reason__c}</p>
                </div>
            </div>

            <!--SMALL DEVICES-->
            <div class="slds-p-top--small slds-hyphenate slds-hide_medium">
                <b>Comments</b>
                <p>{form.Comments__c}&nbsp;</p>

                <div if:true={form.Reason__c} class="slds-p-top--x-small">
                    <b>Reason</b>
                    <p>{form.Reason__c}</p>
                </div>
            </div>

        </template>

        <template if:false={isView}>

            <!--MEDIUM AND LARGE DEVICES-->
            <div class="slds-wrap slds-grid slds-p-around--medium slds-show_medium">
                <div class="slds-size--6-of-12">
                    <div class="slds-size--10-of-12">
                        <lightning-textarea label="Comment" value={form.Comments__c}
                                            onchange={handleComment}></lightning-textarea>
                    </div>
                </div>

                <template if:true={isUserAdmin}>
                    <!--MEDIUM AND LARGE DEVICES-->
                    <div class="slds-size--6-of-12">
                        <div class="slds-size--10-of-12">
                            <lightning-textarea label="Reason" value={form.Reason__c}
                                                onchange={handleReason}></lightning-textarea>
                        </div>
                    </div>
                </template>

                <template if:false={isUserAdmin}>
                    <div if:true={form.Reason__c} class="slds-size--6-of-12">
                        <div class="slds-size--10-of-12">
                            <lightning-input type="text"
                                             label="Reason"
                                             value={form.Reason__c}
                                             readonly>
                            </lightning-input>
                        </div>
                    </div>
                </template>
            </div>

            <!--SMALL DEVICES-->
            <div class="slds-hide_medium">
                <lightning-textarea label="Comment"
                                    value={form.Comments__c}
                                    onchange={handleComment}>
                </lightning-textarea>
            </div>

            <div if:true={isUserAdmin} class="slds-hide_medium">
                <lightning-textarea label="Reason"
                                    value={form.Reason__c}
                                    onchange={handleReason}>
                </lightning-textarea>
            </div>

            <template if:false={isUserAdmin}>
                <div if:true={form.Reason__c} class="slds-hide_medium">
                    <lightning-input type="text"
                                     label="Reason"
                                     value={form.Reason__c}
                                     readonly>
                    </lightning-input>
                </div>
            </template>

        </template>
    </template>

</template>